Search documentation of wx

# View Source wxDCOverlay (wx v2.4.3.1)

Connects an overlay with a drawing DC.

See:

- `wxOverlay`

- `wxDC`

wxWidgets docs: wxDCOverlay

# Summary

## Types

wxDCOverlay()

## Functions

clear(This)

Clears the layer, restoring the state at the last init.

destroy(This)

Destroys the object

new(Overlay, Dc)

Convenience wrapper that behaves the same using the entire area of the dc.

new(Overlay, Dc, X, Y, Width, Height)

Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.

# Types

# wxDCOverlay()

    -type wxDCOverlay() :: wx:wx_object().

# Functions

# clear(This)

    -spec clear(This) -> ok when This :: wxDCOverlay().

Clears the layer, restoring the state at the last init.

# destroy(This)

    -spec destroy(This :: wxDCOverlay()) -> ok.

Destroys the object

# new(Overlay, Dc)

    -spec new(Overlay, Dc) -> wxDCOverlay() when Overlay :: wxOverlay:wxOverlay(), Dc :: wxDC:wxDC().

Convenience wrapper that behaves the same using the entire area of the dc.

# new(Overlay, Dc, X, Y, Width, Height)

    -spec new(Overlay, Dc, X, Y, Width, Height) -> wxDCOverlay()
                 when
                     Overlay :: wxOverlay:wxOverlay(),
                     Dc :: wxDC:wxDC(),
                     X :: integer(),
                     Y :: integer(),
                     Width :: integer(),
                     Height :: integer().

Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.